summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xpackage/base-files/default/bin/firstboot2
-rwxr-xr-xpackage/base-files/default/sbin/mount_root8
2 files changed, 8 insertions, 2 deletions
diff --git a/package/base-files/default/bin/firstboot b/package/base-files/default/bin/firstboot
index 1d9b658b6..5d3d9677e 100755
--- a/package/base-files/default/bin/firstboot
+++ b/package/base-files/default/bin/firstboot
@@ -37,6 +37,8 @@ pivot() { # <new_root> <old_root>
pivot_root $1 $1$2 && {
mount -o move $2/dev /dev
mount -o move $2/tmp /tmp
+ mount -o move $2/sys /sys
+ return 0
}
}
diff --git a/package/base-files/default/sbin/mount_root b/package/base-files/default/sbin/mount_root
index 38252e83f..88a836c80 100755
--- a/package/base-files/default/sbin/mount_root
+++ b/package/base-files/default/sbin/mount_root
@@ -22,9 +22,13 @@ if [ "$1" != "failsafe" ]; then
. /bin/firstboot
is_dirty
[ $? != 0 ] && {
- mount /dev/mtdblock/4 /jffs
+ echo "switching to jffs2"
+ mount /dev/mtdblock/4 /jffs -t jffs2
pivot /jffs /rom
- } || ramoverlay
+ } || {
+ echo "jffs2 unusable; using ramdisk"
+ ramoverlay
+ }
fi
fi